<?php 

	$luzuk_excavator_custom_style = '';

	// Logo Size
	$luzuk_excavator_logo_top_padding = get_theme_mod('luzuk_excavator_logo_top_padding');
	$luzuk_excavator_logo_bottom_padding = get_theme_mod('luzuk_excavator_logo_bottom_padding');
	$luzuk_excavator_logo_left_padding = get_theme_mod('luzuk_excavator_logo_left_padding');
	$luzuk_excavator_logo_right_padding = get_theme_mod('luzuk_excavator_logo_right_padding');

	if( $luzuk_excavator_logo_top_padding != '' || $luzuk_excavator_logo_bottom_padding != '' || $luzuk_excavator_logo_left_padding != '' || $luzuk_excavator_logo_right_padding != ''){
		$luzuk_excavator_custom_style .=' .logo {';
			$luzuk_excavator_custom_style .=' padding-top: '.esc_attr($luzuk_excavator_logo_top_padding).'px; padding-bottom: '.esc_attr($luzuk_excavator_logo_bottom_padding).'px; padding-left: '.esc_attr($luzuk_excavator_logo_left_padding).'px; padding-right: '.esc_attr($luzuk_excavator_logo_right_padding).'px;';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_logo_size = get_theme_mod('luzuk_excavator_logo_size');
	if( $luzuk_excavator_logo_size != '') {
		if($luzuk_excavator_logo_size == 100) {
			$luzuk_excavator_custom_style .=' .custom-logo-link img {';
				$luzuk_excavator_custom_style .=' width: 350px;';
			$luzuk_excavator_custom_style .=' }';
		} else if($luzuk_excavator_logo_size >= 10 && $luzuk_excavator_logo_size < 100) {
			$luzuk_excavator_custom_style .=' .custom-logo-link img {';
				$luzuk_excavator_custom_style .=' width: '.esc_attr($luzuk_excavator_logo_size).'%;';
			$luzuk_excavator_custom_style .=' }';
		}
	}

	// Header Image
	$header_image_url = luzuk_excavator_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$luzuk_excavator_custom_style .=' #inner-pages-header {';
			$luzuk_excavator_custom_style .=' background-image: url('. esc_url( $header_image_url ).') !important; background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$luzuk_excavator_custom_style .=' }';

		$luzuk_excavator_custom_style .='  #header .top-head {';
			$luzuk_excavator_custom_style .=' background: none ';
		$luzuk_excavator_custom_style .=' }';
	} else {
		$luzuk_excavator_custom_style .=' #inner-pages-header {';
			$luzuk_excavator_custom_style .=' background: radial-gradient(circle at center, rgba(0,0,0,0) 0%, #000000 100%); ';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_slider_hide_show = get_theme_mod('luzuk_excavator_slider_hide_show',false);
	if( $luzuk_excavator_slider_hide_show == true){
		$luzuk_excavator_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$luzuk_excavator_custom_style .=' display:none;';
		$luzuk_excavator_custom_style .=' }';
	}



	$luzuk_excavator_headertopbg_col = get_theme_mod('luzuk_excavator_headertopbg_col');
	if ( $luzuk_excavator_headertopbg_col != '') {
		$luzuk_excavator_custom_style .=' #header .tphead {';
			$luzuk_excavator_custom_style .=' background-color:'.esc_attr($luzuk_excavator_headertopbg_col).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_headerbottombg_col = get_theme_mod('luzuk_excavator_headerbottombg_col');
	if ( $luzuk_excavator_headerbottombg_col != '') {
		$luzuk_excavator_custom_style .='#header .bott-head {';
			$luzuk_excavator_custom_style .=' background-color:'.esc_attr($luzuk_excavator_headerbottombg_col).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_headermiddlebrd_col = get_theme_mod('luzuk_excavator_headermiddlebrd_col');
	if ( $luzuk_excavator_headermiddlebrd_col != '') {
		$luzuk_excavator_custom_style .='#header .bottmhead {';
			$luzuk_excavator_custom_style .=' border-color:'.esc_attr($luzuk_excavator_headermiddlebrd_col).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_headertophedtext_col = get_theme_mod('luzuk_excavator_headertophedtext_col');
	if ( $luzuk_excavator_headertophedtext_col != '') {
		$luzuk_excavator_custom_style .='#header .tophead-text p {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_headertophedtext_col).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_headertophedicons_col = get_theme_mod('luzuk_excavator_headertophedicons_col');
	if ( $luzuk_excavator_headertophedicons_col != '') {
		$luzuk_excavator_custom_style .='#header .s-media a i {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_headertophedicons_col).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_headertophediconshrv_col = get_theme_mod('luzuk_excavator_headertophediconshrv_col');
	if ( $luzuk_excavator_headertophediconshrv_col != '') {
		$luzuk_excavator_custom_style .='#header .s-media a:hover i {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_headertophediconshrv_col).';';
		$luzuk_excavator_custom_style .=' }';
	}


	$luzuk_excavator_headersearchbrd_col = get_theme_mod('luzuk_excavator_headersearchbrd_col');
	if ( $luzuk_excavator_headersearchbrd_col != '') {
		$luzuk_excavator_custom_style .=' .search-form .search-field, .search-form:after {';
			$luzuk_excavator_custom_style .=' border-color:'.esc_attr($luzuk_excavator_headersearchbrd_col).';';
		$luzuk_excavator_custom_style .=' }';
	}


	$luzuk_excavator_headersearchplaceholder_col = get_theme_mod('luzuk_excavator_headersearchplaceholder_col');
	if ( $luzuk_excavator_headersearchplaceholder_col != '') {
		$luzuk_excavator_custom_style .=' .search-form .search-field::placeholder {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_headersearchplaceholder_col).';';
		$luzuk_excavator_custom_style .=' }';
	}


	$luzuk_excavator_headersearchicon_col = get_theme_mod('luzuk_excavator_headersearchicon_col');
	if ( $luzuk_excavator_headersearchicon_col != '') {
		$luzuk_excavator_custom_style .=' .search-form:after {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_headersearchicon_col).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_headersearchformbg_col = get_theme_mod('luzuk_excavator_headersearchformbg_col');
	if ( $luzuk_excavator_headersearchformbg_col != '') {
		$luzuk_excavator_custom_style .=' .search-form .search-field {';
			$luzuk_excavator_custom_style .=' background:'.esc_attr($luzuk_excavator_headersearchformbg_col).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_headermailicon_col = get_theme_mod('luzuk_excavator_headermailicon_col');
	if ( $luzuk_excavator_headermailicon_col != '') {
		$luzuk_excavator_custom_style .=' #header .mail i {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_headermailicon_col).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_headermailtxt_col = get_theme_mod('luzuk_excavator_headermailtxt_col');
	if ( $luzuk_excavator_headermailtxt_col != '') {
		$luzuk_excavator_custom_style .=' #header .mail .btninn .txt {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_headermailtxt_col).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_headermailnum_col = get_theme_mod('luzuk_excavator_headermailnum_col');
	if ( $luzuk_excavator_headermailnum_col != '') {
		$luzuk_excavator_custom_style .=' #header .mail .btninn .num {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_headermailnum_col).';';
		$luzuk_excavator_custom_style .=' }';
	}


	$luzuk_excavator_headertopsocialiconhover_col = get_theme_mod('luzuk_excavator_headertopsocialiconhover_col');
	if ( $luzuk_excavator_headertopsocialiconhover_col != '') {
		$luzuk_excavator_custom_style .=' #header .s-media a:hover i {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_headertopsocialiconhover_col).';';
		$luzuk_excavator_custom_style .=' }';
	}


	$luzuk_excavator_menu_color = get_theme_mod('luzuk_excavator_menu_color');
	if ( $luzuk_excavator_menu_color != '') {
		$luzuk_excavator_custom_style .=' .primary-menu a, .primary-menu li .icon{';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_menu_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_menuhover_color = get_theme_mod('luzuk_excavator_menuhover_color');
	if ( $luzuk_excavator_menuhover_color != '') {
		$luzuk_excavator_custom_style .='.primary-menu li:hover .icon, .primary-menu li a:hover{';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_menuhover_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_menuhover_color = get_theme_mod('luzuk_excavator_menuhover_color');
	if ( $luzuk_excavator_menuhover_color != '') {
		$luzuk_excavator_custom_style .='.primary-menu li:before, .primary-menu li:after{';
			$luzuk_excavator_custom_style .=' border-color:'.esc_attr($luzuk_excavator_menuhover_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_submenu_color = get_theme_mod('luzuk_excavator_submenu_color');
	if ( $luzuk_excavator_submenu_color != '') {
		$luzuk_excavator_custom_style .='.primary-menu ul a{';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_submenu_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_submenubg_color = get_theme_mod('luzuk_excavator_submenubg_color');
	if ( $luzuk_excavator_submenubg_color != '') {
		$luzuk_excavator_custom_style .='.primary-menu ul{';
			$luzuk_excavator_custom_style .=' background:'.esc_attr($luzuk_excavator_submenubg_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_header_phnicon_color = get_theme_mod('luzuk_excavator_header_phnicon_color');
	if ( $luzuk_excavator_header_phnicon_color != '') {
		$luzuk_excavator_custom_style .='.h-btnbox a i {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_header_phnicon_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	
	$luzuk_excavator_header_phntext_color = get_theme_mod('luzuk_excavator_header_phntext_color');
	if ( $luzuk_excavator_header_phntext_color != '') {
		$luzuk_excavator_custom_style .=' .h-btnbox .phn .txt {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_header_phntext_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_header_phnnum_color = get_theme_mod('luzuk_excavator_header_phnnum_color');
	if ( $luzuk_excavator_header_phnnum_color != '') {
		$luzuk_excavator_custom_style .=' .h-btnbox .phn .num {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_header_phnnum_color).';';
		$luzuk_excavator_custom_style .=' }';
	}


	//site title tagline
	$luzuk_excavator_site_title_color = get_theme_mod('luzuk_excavator_site_title_color');
	if ( $luzuk_excavator_site_title_color != '') {
		$luzuk_excavator_custom_style .=' h1.site-title a, p.site-title a{';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_site_title_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_site_tagline_color = get_theme_mod('luzuk_excavator_site_tagline_color');
	if ( $luzuk_excavator_site_tagline_color != '') {
		$luzuk_excavator_custom_style .=' p.site-description{';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_site_tagline_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	//layout width
	$luzuk_excavator_boxfull_width = get_theme_mod('luzuk_excavator_boxfull_width');
	if ($luzuk_excavator_boxfull_width !== '') {
		switch ($luzuk_excavator_boxfull_width) {
			case 'container':
				$luzuk_excavator_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$luzuk_excavator_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$luzuk_excavator_dropdown_anim = get_theme_mod('luzuk_excavator_dropdown_anim');

	if ( $luzuk_excavator_dropdown_anim != '') {
		$luzuk_excavator_custom_style .=' .primary-menu ul{';
			$luzuk_excavator_custom_style .=' animation:'.esc_attr($luzuk_excavator_dropdown_anim).' 1s ease;';
		$luzuk_excavator_custom_style .=' }';
	}


	//slider colors
	$luzuk_excavator_slider_font_size = get_theme_mod('luzuk_excavator_slider_font_size');
	if ( $luzuk_excavator_slider_font_size != '') {
		$luzuk_excavator_custom_style .=' #slider h2 {';
			$luzuk_excavator_custom_style .=' font-size:'.esc_attr($luzuk_excavator_slider_font_size).'px;';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_slider_title_color = get_theme_mod('luzuk_excavator_slider_title_color');
	if ( $luzuk_excavator_slider_title_color != '') {
		$luzuk_excavator_custom_style .=' #slider h2 {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_slider_title_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_slider_btntext_color = get_theme_mod('luzuk_excavator_slider_btntext_color');
	if ( $luzuk_excavator_slider_btntext_color != '') {
		$luzuk_excavator_custom_style .=' #slider .sbtn a {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_slider_btntext_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_slider_btnbg_color = get_theme_mod('luzuk_excavator_slider_btnbg_color');
	if ( $luzuk_excavator_slider_btnbg_color != '') {
		$luzuk_excavator_custom_style .=' #slider .sbtn a {';
			$luzuk_excavator_custom_style .=' background:'.esc_attr($luzuk_excavator_slider_btnbg_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_slider_btnbrd_color = get_theme_mod('luzuk_excavator_slider_btnbrd_color');
	if ( $luzuk_excavator_slider_btnbrd_color != '') {
		$luzuk_excavator_custom_style .=' #slider .sbtn .btnbrd {';
			$luzuk_excavator_custom_style .=' border-color:'.esc_attr($luzuk_excavator_slider_btnbrd_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_slider_btntexthover_color = get_theme_mod('luzuk_excavator_slider_btntexthover_color');
	if ( $luzuk_excavator_slider_btntexthover_color != '') {
		$luzuk_excavator_custom_style .='#slider .sbtn a:hover {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_slider_btntexthover_color).';';
		$luzuk_excavator_custom_style .=' }';
	}


	$luzuk_excavator_slider_arrowbg_color = get_theme_mod('luzuk_excavator_slider_arrowbg_color');
	if ( $luzuk_excavator_slider_arrowbg_color != '') {
		$luzuk_excavator_custom_style .=' #slider .carousel-control-prev, #slider .carousel-control-next{';
			$luzuk_excavator_custom_style .=' background:'.esc_attr($luzuk_excavator_slider_arrowbg_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_slider_arrowbrd_color = get_theme_mod('luzuk_excavator_slider_arrowbrd_color');
	if ( $luzuk_excavator_slider_arrowbrd_color != '') {
		$luzuk_excavator_custom_style .=' #slider .carousel-control-prev, #slider .carousel-control-next {';
			$luzuk_excavator_custom_style .=' border-color:'.esc_attr($luzuk_excavator_slider_arrowbrd_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_slider_arrowicon_color = get_theme_mod('luzuk_excavator_slider_arrowicon_color');
	if ( $luzuk_excavator_slider_arrowicon_color != '') {
		$luzuk_excavator_custom_style .=' #slider .carousel-control-prev i, #slider .carousel-control-next i{';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_slider_arrowicon_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_slider_arrowbghrv_color = get_theme_mod('luzuk_excavator_slider_arrowbghrv_color');
	if ( $luzuk_excavator_slider_arrowbghrv_color != '') {
		$luzuk_excavator_custom_style .=' #slider .carousel-control-prev:hover, #slider .carousel-control-next:hover{';
			$luzuk_excavator_custom_style .=' background:'.esc_attr($luzuk_excavator_slider_arrowbghrv_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	//Aboutus colors

	$luzuk_excavator_aboutussubheading_color = get_theme_mod('luzuk_excavator_aboutussubheading_color');
	if ( $luzuk_excavator_aboutussubheading_color != '') {
		$luzuk_excavator_custom_style .=' #aboutus-section .subheading {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_aboutussubheading_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutussubheadingbrd_color = get_theme_mod('luzuk_excavator_aboutussubheadingbrd_color');
	if ( $luzuk_excavator_aboutussubheadingbrd_color != '') {
		$luzuk_excavator_custom_style .='#aboutus-section .subheading:after {';
			$luzuk_excavator_custom_style .=' border-color:'.esc_attr($luzuk_excavator_aboutussubheadingbrd_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutusheading_color = get_theme_mod('luzuk_excavator_aboutusheading_color');
	if ( $luzuk_excavator_aboutusheading_color != '') {
		$luzuk_excavator_custom_style .='#aboutus-section .heading {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_aboutusheading_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutusdescription_color = get_theme_mod('luzuk_excavator_aboutusdescription_color');
	if ( $luzuk_excavator_aboutusdescription_color != '') {
		$luzuk_excavator_custom_style .='#aboutus-section p.description {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_aboutusdescription_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutuslisticon_color = get_theme_mod('luzuk_excavator_aboutuslisticon_color');
	if ( $luzuk_excavator_aboutuslisticon_color != '') {
		$luzuk_excavator_custom_style .='#aboutus-section .list li i{';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_aboutuslisticon_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutuslists_color = get_theme_mod('luzuk_excavator_aboutuslists_color');
	if ( $luzuk_excavator_aboutuslists_color != '') {
		$luzuk_excavator_custom_style .='#aboutus-section .list li{';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_aboutuslists_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutusgetstartedtext_color = get_theme_mod('luzuk_excavator_aboutusgetstartedtext_color');
	if ( $luzuk_excavator_aboutusgetstartedtext_color != '') {
		$luzuk_excavator_custom_style .=' #aboutus-section .bttn .get span {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_aboutusgetstartedtext_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutusgetstartedbg_color = get_theme_mod('luzuk_excavator_aboutusgetstartedbg_color');
	if ( $luzuk_excavator_aboutusgetstartedbg_color != '') {
		$luzuk_excavator_custom_style .=' #aboutus-section .bttn .get span {';
			$luzuk_excavator_custom_style .=' background-color:'.esc_attr($luzuk_excavator_aboutusgetstartedbg_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutusgetstartedbrd_color = get_theme_mod('luzuk_excavator_aboutusgetstartedbrd_color');
	if ( $luzuk_excavator_aboutusgetstartedbrd_color != '') {
		$luzuk_excavator_custom_style .=' #aboutus-section .bttn .get {';
			$luzuk_excavator_custom_style .=' background:'.esc_attr($luzuk_excavator_aboutusgetstartedbrd_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutusgetstartedtexthover_color = get_theme_mod('luzuk_excavator_aboutusgetstartedtexthover_color');
	if ( $luzuk_excavator_aboutusgetstartedtexthover_color != '') {
		$luzuk_excavator_custom_style .=' #aboutus-section .bttn .get:hover span {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_aboutusgetstartedtexthover_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutusplayavideotext_color = get_theme_mod('luzuk_excavator_aboutusplayavideotext_color');
	if ( $luzuk_excavator_aboutusplayavideotext_color != '') {
		$luzuk_excavator_custom_style .=' #aboutus-section .bttn .video span {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_aboutusplayavideotext_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutusplayavideobg_color = get_theme_mod('luzuk_excavator_aboutusplayavideobg_color');
	if ( $luzuk_excavator_aboutusplayavideobg_color != '') {
		$luzuk_excavator_custom_style .=' #aboutus-section .bttn .video span {';
			$luzuk_excavator_custom_style .=' background:'.esc_attr($luzuk_excavator_aboutusplayavideobg_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutusplayavideoicon_color = get_theme_mod('luzuk_excavator_aboutusplayavideoicon_color');
	if ( $luzuk_excavator_aboutusplayavideoicon_color != '') {
		$luzuk_excavator_custom_style .=' #aboutus-section .bttn .video i {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_aboutusplayavideoicon_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutusplayavideoiconbg_color = get_theme_mod('luzuk_excavator_aboutusplayavideoiconbg_color');
	if ( $luzuk_excavator_aboutusplayavideoiconbg_color != '') {
		$luzuk_excavator_custom_style .=' #aboutus-section .bttn .video i {';
			$luzuk_excavator_custom_style .=' background:'.esc_attr($luzuk_excavator_aboutusplayavideoiconbg_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutusplayavideotexthrv_color = get_theme_mod('luzuk_excavator_aboutusplayavideotexthrv_color');
	if ( $luzuk_excavator_aboutusplayavideotexthrv_color != '') {
		$luzuk_excavator_custom_style .=' #aboutus-section .bttn .video:hover span {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_aboutusplayavideotexthrv_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_aboutusimgbrd_color = get_theme_mod('luzuk_excavator_aboutusimgbrd_color');
	if ( $luzuk_excavator_aboutusimgbrd_color != '') {
		$luzuk_excavator_custom_style .=' #aboutus-section .abt-brd {';
			$luzuk_excavator_custom_style .=' background:'.esc_attr($luzuk_excavator_aboutusimgbrd_color).';';
		$luzuk_excavator_custom_style .=' }';
	}



	//services colors

	$luzuk_excavator_services_heading_color = get_theme_mod('luzuk_excavator_services_heading_color');
	if ( $luzuk_excavator_services_heading_color != '') {
		$luzuk_excavator_custom_style .='#services-section .heading {';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_services_heading_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_services_headbrd_color = get_theme_mod('luzuk_excavator_services_headbrd_color');
	if ( $luzuk_excavator_services_headbrd_color != '') {
		$luzuk_excavator_custom_style .='.headbx h2:before,.headbx h2:after {';
			$luzuk_excavator_custom_style .=' border-color:'.esc_attr($luzuk_excavator_services_headbrd_color).';';
		$luzuk_excavator_custom_style .=' }';
	}


	$luzuk_excavator_services_title_color = get_theme_mod('luzuk_excavator_services_title_color');
	if ( $luzuk_excavator_services_title_color != '') {
		$luzuk_excavator_custom_style .='#services-section .serbx h4{';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_services_title_color).';';
		$luzuk_excavator_custom_style .=' }';
	}
	
	$luzuk_excavator_services_titlebrd_color = get_theme_mod('luzuk_excavator_services_titlebrd_color');
	if ( $luzuk_excavator_services_titlebrd_color != '') {
		$luzuk_excavator_custom_style .='#services-section .serbx h4:after{';
			$luzuk_excavator_custom_style .=' border-color:'.esc_attr($luzuk_excavator_services_titlebrd_color).';';
		$luzuk_excavator_custom_style .=' }';
	}


	$luzuk_excavator_services_btntext_color = get_theme_mod('luzuk_excavator_services_btntext_color');
	if ( $luzuk_excavator_services_btntext_color != '') {
		$luzuk_excavator_custom_style .='#services-section .btnprice a{';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_services_btntext_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_services_btntextbg_color = get_theme_mod('luzuk_excavator_services_btntextbg_color');
	if ( $luzuk_excavator_services_btntextbg_color != '') {
		$luzuk_excavator_custom_style .='#services-section .btnprice a{';
			$luzuk_excavator_custom_style .=' background:'.esc_attr($luzuk_excavator_services_btntextbg_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_services_btntexthrv_color = get_theme_mod('luzuk_excavator_services_btntexthrv_color');
	if ( $luzuk_excavator_services_btntexthrv_color != '') {
		$luzuk_excavator_custom_style .='#services-section .btnprice a:hover{';
			$luzuk_excavator_custom_style .=' color:'.esc_attr($luzuk_excavator_services_btntexthrv_color).';';
		$luzuk_excavator_custom_style .=' }';
	}
	


	//footer colors
	$luzuk_excavator_footer_copy_font_size = get_theme_mod('luzuk_excavator_footer_copy_font_size');
	if ( $luzuk_excavator_footer_copy_font_size != '') {
		$luzuk_excavator_custom_style .=' .site-info p, .site-info a {';
			$luzuk_excavator_custom_style .=' font-size:'.esc_attr($luzuk_excavator_footer_copy_font_size).'px;';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_footertext_color = get_theme_mod('luzuk_excavator_footertext_color');
	if ( $luzuk_excavator_footertext_color != '') {
		$luzuk_excavator_custom_style .=' #colophon h1, #colophon h2, #colophon h3, #colophon h4, #colophon h5,
		 #colophon h6,#colophon,#colophon p,.site-footer a, .site-footer p, #colophon caption, .site-footer .widget_rss .rss-date,
		  .site-footer .widget_rss li cite {';
			$luzuk_excavator_custom_style .=' color: '.esc_attr($luzuk_excavator_footertext_color).';';
		$luzuk_excavator_custom_style .=' }';
	}	

	$luzuk_excavator_footeractivemenu_color = get_theme_mod('luzuk_excavator_footeractivemenu_color');
	if ( $luzuk_excavator_footeractivemenu_color != '') {
		$luzuk_excavator_custom_style .=' .site-footer .current-menu-item a {';
			$luzuk_excavator_custom_style .=' color: '.esc_attr($luzuk_excavator_footeractivemenu_color).';';
		$luzuk_excavator_custom_style .=' }';
	}	

	$luzuk_excavator_footerbg_color = get_theme_mod('luzuk_excavator_footerbg_color');
	if ( $luzuk_excavator_footerbg_color != '') {
		$luzuk_excavator_custom_style .=' .footer-overlay {';
			$luzuk_excavator_custom_style .=' background: '.esc_attr($luzuk_excavator_footerbg_color).';';
		$luzuk_excavator_custom_style .=' }';
	}


	$luzuk_excavator_footercopyright_color = get_theme_mod('luzuk_excavator_footercopyright_color');
	if ( $luzuk_excavator_footercopyright_color != '') {
		$luzuk_excavator_custom_style .=' #colophon .site-info p {';
			$luzuk_excavator_custom_style .=' color: '.esc_attr($luzuk_excavator_footercopyright_color).' !important;';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_footercopyrightinnerbg_color = get_theme_mod('luzuk_excavator_footercopyrightinnerbg_color');
	if ( $luzuk_excavator_footercopyrightinnerbg_color != '') {
		$luzuk_excavator_custom_style .=' #colophon .f_innbx {';
			$luzuk_excavator_custom_style .=' background: '.esc_attr($luzuk_excavator_footercopyrightinnerbg_color).' !important;';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_footerscrolltotoptext_color = get_theme_mod('luzuk_excavator_footerscrolltotoptext_color');
	if ( $luzuk_excavator_footerscrolltotoptext_color != '') {
		$luzuk_excavator_custom_style .=' .back-to-top {';
			$luzuk_excavator_custom_style .=' color: '.esc_attr($luzuk_excavator_footerscrolltotoptext_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_footerscrolltotopbg_color = get_theme_mod('luzuk_excavator_footerscrolltotopbg_color');
	if ( $luzuk_excavator_footerscrolltotopbg_color != '') {
		$luzuk_excavator_custom_style .=' .back-to-top {';
			$luzuk_excavator_custom_style .=' background: '.esc_attr($luzuk_excavator_footerscrolltotopbg_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_footerscrolltotoptexthover_color = get_theme_mod('luzuk_excavator_footerscrolltotoptexthover_color');
	if ( $luzuk_excavator_footerscrolltotoptexthover_color != '') {
		$luzuk_excavator_custom_style .=' .back-to-top:hover .back-to-top-text {';
			$luzuk_excavator_custom_style .=' color: '.esc_attr($luzuk_excavator_footerscrolltotoptexthover_color).';';
		$luzuk_excavator_custom_style .=' }';
	}

	$luzuk_excavator_footerscrolltotophover_color = get_theme_mod('luzuk_excavator_footerscrolltotophover_color');
	if ( $luzuk_excavator_footerscrolltotophover_color != '') {
		$luzuk_excavator_custom_style .=' .back-to-top:hover::after {';
			$luzuk_excavator_custom_style .=' background: '.esc_attr($luzuk_excavator_footerscrolltotophover_color).';';
		$luzuk_excavator_custom_style .=' }';
	}